﻿using System.ComponentModel;
using SewingDressesDataModels.Models;

namespace SewingDressesContracts.ViewModels
{
    public class DressViewModel : IDressModel
    {
        public int Id { get; set; }
        [DisplayName("Название платья")]
        public string DressName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> DressComponents { get; set; } = new();
    }
}
